Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## freenet.support.CPUInformation
Class CPUID.AMDInfoImpl

    java.lang.Object
      freenet.support.CPUInformation.CPUID.CPUIDCPUInfo
          freenet.support.CPUInformation.CPUID.AMDInfoImpl

All Implemented Interfaces:
  AMDCPUInfo, CPUInfo

Enclosing class:
  CPUID

    protected static class CPUID.AMDInfoImpl

extends CPUID.CPUIDCPUInfo
implements AMDCPUInfo

Constructor Summary
`protected` | `CPUID.AMDInfoImpl()`

Method Summary
`String` | `getCPUModelString()`
`boolean` | `IsAthlon64Compatible()`
`boolean` | `IsAthlonCompatible()`
`boolean` | `IsK6_2_Compatible()`
`boolean` | `IsK6_3_Compatible()`
`boolean` | `IsK6Compatible()`

Methods inherited from class freenet.support.CPUInformation.CPUID.CPUIDCPUInfo
`getVendor, hasMMX, hasSSE, hasSSE2, IsC3Compatible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface freenet.support.CPUInformation.CPUInfo
`getVendor, hasMMX, hasSSE, hasSSE2, IsC3Compatible`

Constructor Detail

### CPUID.AMDInfoImpl

    protected CPUID.AMDInfoImpl()

Method Detail

### IsK6Compatible

    public boolean IsK6Compatible()

  Specified by:
    `IsK6Compatible` in interface `AMDCPUInfo`
  Returns:
    true iff the CPU present in the machine is at least an 'k6' CPU

### IsK6_2_Compatible

    public boolean IsK6_2_Compatible()

  Specified by:
    `IsK6_2_Compatible` in interface `AMDCPUInfo`
  Returns:
    true iff the CPU present in the machine is at least an 'k6-2' CPU

### IsK6_3_Compatible

    public boolean IsK6_3_Compatible()

  Specified by:
    `IsK6_3_Compatible` in interface `AMDCPUInfo`
  Returns:
    true iff the CPU present in the machine is at least an 'k6-3' CPU

### IsAthlonCompatible

    public boolean IsAthlonCompatible()

  Specified by:
    `IsAthlonCompatible` in interface `AMDCPUInfo`
  Returns:
    true iff the CPU present in the machine is at least an 'k7' CPU (Atlhon, Duron etc. and better)

### IsAthlon64Compatible

    public boolean IsAthlon64Compatible()

  Specified by:
    `IsAthlon64Compatible` in interface `AMDCPUInfo`
  Returns:
    true iff the CPU present in the machine is at least an 'k8' CPU (Atlhon 64, Opteron etc. and better)

### getCPUModelString

    public String getCPUModelString()
                             throws UnknownCPUException

  Specified by:
    `getCPUModelString` in interface `CPUInfo`
  Returns:
    A string detailing what type of CPU that is present in the machine. I.e. 'Pentium IV' etc.
  Throws:
    `UnknownCPUException` - If for any reson the retrieval of the requested information failed. The message encapsulated in the execption indicates the cause of the failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD